import './App.scss';
import {Router, Route, Link, Redirect} from 'react-router-dom';
import createHistory from "history/createBrowserHistory";
import MainPage from "./pages/MainPage";
import Page404 from "./pages/404Page";
import ContactPage from "./pages/ContactPage";
import Switch from "react-router-dom/es/Switch";
import PrivacyPolicy from "./pages/PrivacyPolicyPage";
import FAQPage from "./pages/FAQPage";
import OurTeamPage from "./pages/OurTeamPage";

const history = createHistory();

function App() {
  return (
      <Router history={history}>
          <Switch>
              <Route path="/" component={MainPage} exact/>
              <Route path="/our-team" component={OurTeamPage} />
              <Route path="/faq" component={FAQPage} />
              <Route path="/contact" component={ContactPage} />
              <Route path="/privacy-policy" component={PrivacyPolicy} />
              <Route path="*" component={Page404} />
          </Switch>
      </Router>
  )
}

export default App;
